/// <reference path="../../typings/tsd.d.ts"/>
import * as React from "react";
import * as RN from "react-native";
import { View } from "./View";
import { PresetColor } from "./Types";
/**
 * PixelLine
 */
export class PixelLine extends React.Component {
    render() {
        let style = {};
        if (this.props.vertical) {
            style.position = "absolute";
            style.top = this.props.top || 0.0;
            style.bottom = this.props.bottom || 0.0;
            style.left = this.props.left;
            style.right = this.props.right;
            style.width = 1.0;
            style.borderRightWidth = RN.StyleSheet.hairlineWidth;
            style.borderRightColor = this.props.color;
        }
        else {
            style.position = "absolute";
            style.left = this.props.left || 0.0;
            style.right = this.props.right || 0.0;
            style.top = this.props.top;
            style.bottom = this.props.bottom;
            style.height = 1.0;
            style.borderBottomWidth = RN.StyleSheet.hairlineWidth;
            style.borderBottomColor = this.props.color;
        }
        return (React.createElement(View, {style: style}));
    }
}
PixelLine.defaultProps = Object.assign({}, {
    vertical: false,
    color: PresetColor.lineColor,
});
